Subject: Re: bug#57400: 29.0.50; Support sending patches from VC directly

From: Juri Linkov <[email-masked]>
Date: Sat, 15 Oct 2022 22:02:13 +0300

>   > In case of vc-git-diff, it just runs `git diff-index` to compare
>   > to the working tree.  However, 'C-u C-x v =' raises more questions:
>
>   > 1. When used on one file, for the default value of the old revision,
>   > it converts the name "HEAD" of the current branch to its unabbreviated
>   > hash number.  So the question is why not leave it alone
>   > and display the default value "HEAD" as is?
>
>   > 2. When used on many files, there is no default value.
>   > But why not use the same "HEAD" even in case of multiple files?
>
> Are you proposing to change C-u C-x v =?  Or asking what this
> new command should do?

This is related to what Philip is currently doing to use
symbolic names instead of hash numbers as default values
for vc commands like C-u C-x v =, so I hope these questions
will be addressed now.